using System;

namespace Takmicenje_2___18._12._2021_
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = Convert.ToInt32(Console.ReadLine());
            bool[] niz = new bool[t];
            for (int i = 0; i < t; i++) //ucitava red i ispisuje resenje
            {
                string[] red = Console.ReadLine().Split();
                int n = Convert.ToInt32(red[0]);
                int m = Convert.ToInt32(red[1]);
                int k = Convert.ToInt32(red[2]);
                bool provera = true;
                int p = 1;
                if (k == 1) //jedna grupa
                {
                    p = 1;
                    for (int j = 0; j < n; j += 2)
                    {
                        if (m / n - p > 0) p++;
                        else { provera = false; break; }
                    }
                    if (provera) niz[i] = true;
                    else niz[i] = false;
                }
                else
                {
                    p = 0;
                    int visak = 0;
                    provera = true;
                    if ((n/k)%1==0) //postoji tacno k grupa
                    {
                        for (int j = 0; j < n / k; j++) //broj clanova u grupi
                        {
                            if (j != 0)
                            {
                                //Console.WriteLine(p);
                                if (provera && m / n - p > 0)
                                {
                                    if (j % 2 == 0) p = Math.Abs(p) + 1;
                                    else p *= (-1);
                                }
                                else { provera = false; visak += Math.Abs(p); p = Math.Abs(p) + 1; }
                            }
                            else p++;
                        }
                        if (visak * k <= m - n * (m / n)) niz[i] = true;
                        else niz[i] = false;
                    }
                    else //razdeliti grupe
                    {
                        //5 ucenika na tri grupe 5/3 = 1, jedna od 1, druga od 2, treca od 5-1-2=2
                        //5 ucenika na dve grupe 5/2 = 2, jedna od 2, druga od 5-2=3
                        //11 ucenika u tri grupe 11/3 = 3, jedna od 3, druga od 4, treca od 11-7=4
                        //11 ucenika u cetiri grupe 11/4 = 2, jedna od 2, druga od 3, treca od 3, cetvrta od 11-8=3
                        //imacemo grupe od n/k i od n/k+1, e sad zavisi koliko kojih
                        for (int j=0;j<n/k;j++) 
                        {
                            if (j != 0)
                            {
                                //Console.WriteLine(p);
                                if (provera && m / n - p > 0)
                                {
                                    if (j % 2 == 0) p = Math.Abs(p) + 1;
                                    else p *= (-1);
                                }
                                else { provera = false; visak += Math.Abs(p); p = Math.Abs(p) + 1; }
                            }
                            else p++;
                        }
                        visak *= k;
                        int visak2 = 0;
                        for (int j = n / k - 1; j < n / k + 1; j++)
                        {
                            //Console.WriteLine(p);
                            if (provera && m / n - p > 0)
                            {
                                if (j % 2 == 0) p = Math.Abs(p) + 1;
                                else p *= (-1);
                            }
                            else { provera = false; visak2 += Math.Abs(p); p = Math.Abs(p) + 1; }
                        }
                        int r = n / k * k;
                        while (r<n)
                        {
                            visak += visak2;
                            r++;
                        }
                        if (visak <= m - n * (m / n)) niz[i] = true;
                        else niz[i] = false;
                    }
                }
            }
            for (int i = 0; i < niz.Length; i++)
            {
                if (niz[i]) Console.WriteLine("Tak");
                else Console.WriteLine("Nie");
            }
        }
    }
}